Bug 214659 - multimedia/mpeg4ip: fails to build with libc++ 3.9
Summary: multimedia/mpeg4ip: fails to build with libc++ 3.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL: https://github.com/llvm-mirror/libcxx...
Keywords: easy, patch, patch-ready
Depends on:
Blocks: 212343
  Show dependency treegraph
 
Reported: 2016-11-19 05:43 UTC by Jan Beich
Modified: 2016-11-20 19:18 UTC (History)
3 users (show)

See Also:
riggs: maintainer-feedback+


Attachments
v0 (2.17 KB, patch)
2016-11-19 05:45 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2016-11-19 05:43:43 UTC
media_utils.cpp:613:9: error: assigning to 'char *' from incompatible type 'const char *'
  slash = strchr(name, '/');
        ^ ~~~~~~~~~~~~~~~~~

http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/mpeg4ip-1.6.1_33.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/mpeg4ip-1.6.1_33.log
Comment 1 Jan Beich freebsd_committer 2016-11-19 05:45:41 UTC
Created attachment 177171 [details]
v0
Comment 2 Jan Beich freebsd_committer 2016-11-19 05:47:25 UTC
poudriere bulk -t is green for 10.1 i386
Comment 3 Dimitry Andric freebsd_committer 2016-11-20 16:32:13 UTC
Comment on attachment 177171 [details]
v0

Patch LGTM.
Comment 4 commit-hook freebsd_committer 2016-11-20 19:17:40 UTC
A commit references this bug:

Author: jbeich
Date: Sun Nov 20 19:17:09 UTC 2016
New revision: 426613
URL: https://svnweb.freebsd.org/changeset/ports/426613

Log:
  multimedia/mpeg4ip: unbreak with libc++ 3.9

  media_utils.cpp:613:9: error: assigning to 'char *' from incompatible type 'const char *'
    slash = strchr(name, '/');
          ^ ~~~~~~~~~~~~~~~~~

  PR:		214659
  Reviewed by:	dim
  Approved by:	portmgr blanket

Changes:
  head/multimedia/mpeg4ip/Makefile
  head/multimedia/mpeg4ip/files/patch-player_src_media__utils.cpp
Comment 5 Jan Beich freebsd_committer 2016-11-20 19:18:40 UTC
Oops, I've noticed assignee changed too late.